.types {
    padding: rem(30) 0;

    &__header {
        text-align: center;
        margin-bottom: rem(30);

        &--title {
            color: #161F30;
            font-weight: 700;
            font-size: rem(30);
            line-height: rem(37);
            margin-bottom: rem(12);
        }

        &--text {
            color: #727272;
            font-size: rem(16);
            line-height: 140%;
        }
    }

    &__main {
        font-size: rem(17);
        line-height: rem(21);
        text-align: center;
        margin-bottom: rem(30);
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        display: grid;
        grid-row-gap: rem(10);
        grid-template-columns: 1fr;

        li {
        }
    }

    &__item {
        padding: rem(10);
        background: #EFFBFA;
        border-radius: 10px;
        display: inline-block;
    }

    &__heading {
        text-align: center;
        margin-bottom: rem(26);

        &--title {
            color: #161F30;
            font-weight: 700;
            font-size: rem(22);
            line-height: rem(27);
            margin-bottom: rem(12);
        }

        &--text {
            color: #727272;
            font-size: rem(14);
            line-height: 140%;
        }
    }

    &__duties {
        display: grid;
        grid-row-gap: rem(25);
        grid-template-columns: 1fr;
        margin-bottom: rem(40);
    }

    &__footer {
        text-align: center;
        position: relative;
        padding-top: rem(30);

        &:before {
            top: 0;
            left: rem(-20);
            right: rem(-20);
            content: '';
            z-index: 10;
            height: 1px;
            position: absolute;
            background: #F0F0F0;
        }
    }

    &__lead {
        font-weight: 700;
        font-size: rem(23);
        line-height: rem(28);
        margin-bottom: rem(27);
    }

    &__button {
        padding: 0 rem(8);

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(74);
        padding-bottom: rem(60);

        &__header {
            text-align: left;
            margin-bottom: rem(36);

            &--title {
                font-size: rem(44);
                line-height: rem(54);
                margin-bottom: rem(16);
            }

            &--text {
                line-height: 140%;
                font-size: rem(18);
            }
        }

        &__main {
            margin-bottom: rem(56);
        }

        &__list {
            text-align: left;
            display: grid;
            grid-row-gap: rem(20);
            grid-template-columns: 1fr 1fr;
        }

        &__heading {
            text-align: left;
            margin-bottom: rem(55);

            &--title {
                font-size: rem(30);
                line-height: rem(37);
                margin-bottom: rem(9);
            }

            &--text {
                font-size: rem(18);
                line-height: 140%;
            }
        }

        &__duties {
            margin-bottom: rem(48);
            grid-row-gap: rem(40);
            grid-column-gap: rem(50);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__footer {
            padding-top: rem(50);
            text-align: left;
            display: flex;
            align-items: center;
            justify-content: space-between;

            &:before {
                left: 0;
                right: 0;
            }
        }

        &__lead {
            margin-bottom: 0;
            max-width: rem(768);
        }

        &__button {
            padding : 0;
            width: rem(275);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(lg) {

        &__list {
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__duties {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__lead {
            font-size: rem(30);
            line-height: rem(37);
        }
    }
}

.duty {
    font-size: rem(15);
    line-height: 140%;
    display: flex;
    align-items: flex-start;

    &__media {
        width: rem(60);
        flex-shrink: 0;

        img {
            width: 60%;
        }
    }

    &__text {
        max-width: rem(240);
    }

    @include media-breakpoint-up(md) {
        display: block;

        &__media {
            width: 100%;
            height: rem(79);

            img {
                width: auto;
            }
        }
    }
}
